#TODO: Icons in debug package

Name:           spatialite-gui
Version:        1.4.0
Release:        3%{?dist}
Summary:        GUI to manage Spatialite databases

Group:          Applications/Databases
License:        GPLv3
URL:            http://www.gaia-gis.it/spatialite-2.4.0-4
Source0:        http://www.gaia-gis.it/spatialite-2.4.0-4/spatialite_gui-%{version}.tar.gz
Source1:        %{name}.desktop

# No libspatialite for ppc, see
# https://bugzilla.redhat.com/show_bug.cgi?id=663938
ExcludeArch:    ppc64

#http://groups.google.com/group/spatialite-users/browse_thread/thread/e20cc142f11479f0/8be146e6021a3cc4
# Resolved in this manner in the 1.5 beta
Patch0:         %{name}-1.4.0-wxtree.patch

BuildRequires:  desktop-file-utils
BuildRequires:  libspatialite-devel
BuildRequires:  libgaiagraphics-devel
BuildRequires:  wxGTK-devel
BuildRequires:  sqlite-devel
BuildRequires:  geos-devel
BuildRequires:  proj-devel

%description
GUI to manage Spatialite databases.


%prep
%setup -q -n spatialite_gui-%{version}

# Remove existing Makefiles
rm -f Makefile-static*

# Solved in trunk
sed -i 's/LIBS = @LIBS@/LIBS = -lproj -lgeos_c @LIBS@/' Makefile.in

%patch0 -p1 -b .wxtree


%build

%configure  \
        --disable-static \
        --enable-unicode \
        --enable-graphics_ctx
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

# Install icon and desktop file
# Mailed the author
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -p icons/icon_info.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm
chmod 644 %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

desktop-file-install                               \
--dir=%{buildroot}%{_datadir}/applications         \
%{SOURCE1}


%files
%doc COPYING
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm

%changelog
* Wed Jan  9 2012 Volker Fröhlich <volker27@gmx.at> 1.4.0-3
- Exclude ppc64 architecture

* Wed Jan  8 2012 Volker Fröhlich <volker27@gmx.at> 1.4.0-2
- Remove post and postun sections with useless ldconfig

* Wed Dec  4 2011 Volker Fröhlich <volker27@gmx.at> 1.4.0-1
- Initial packaging 
